View Issue Details

IDProjectCategoryView StatusLast Update
0023395mantisbtdb oraclepublic2017-10-08 23:52
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.7.0 
Target Version2.7.0Fixed in Version2.7.0 
Summary0023395: Performance issue reading config table with oracle database
Description

For every page executed, config table is fully read and cached.
When using Oracle database, ADOdb maps columnt type "L" to "clob" type, and reading clob fields is significantly slower that standard char fields.

This causes a very noticeable delay on every page load.
For example, with 500 rows in config table:

  • reading values as clob, with standard "select *" query from config_api, it takes about 3-4 secs
  • reading values as varchar, it takes 0.03 secs
TagsNo tags attached.

Activities

Related Changesets

MantisBT: master 1b1f2b2c

2017-09-21 20:01:57

cproensa


Committer: dregad Details Diff
Oracle, read config values as varchar

When using Oracle database, read config values as varchar type whenever
it's possible, to avoid performance issues of reading clob field types.

Even if the issue may also exist with other tables, config table is
especially sensitive, as it is fully fetched for every page execution.

Fixes: 0023395
mod - core/config_api.php Diff File

Issue History

Date Modified Username Field Change
2017-09-24 20:41 cproensa New Issue
2017-09-24 20:53 cproensa Assigned To => cproensa
2017-09-24 20:53 cproensa Status new => assigned
2017-09-24 20:53 cproensa Note Added: 0057803
2017-09-28 03:02 dregad Changeset attached => MantisBT master 1b1f2b2c
2017-09-28 03:02 cproensa Status assigned => resolved
2017-09-28 03:02 cproensa Resolution open => fixed
2017-09-28 03:02 cproensa Fixed in Version => 2.7.0
2017-09-28 03:10 atrol Target Version => 2.7.0
2017-10-08 23:52 vboctor Status resolved => closed